summaryrefslogtreecommitdiffstats
path: root/source/xap/xine-ui
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xine-ui')
-rw-r--r--source/xap/xine-ui/slack-desc19
-rwxr-xr-xsource/xap/xine-ui/xine-ui.SlackBuild87
-rw-r--r--source/xap/xine-ui/xine.desktop14
3 files changed, 120 insertions, 0 deletions
diff --git a/source/xap/xine-ui/slack-desc b/source/xap/xine-ui/slack-desc
new file mode 100644
index 000000000..f4e39279e
--- /dev/null
+++ b/source/xap/xine-ui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xine-ui: xine-ui (xine multimedia playback engine user interface)
+xine-ui:
+xine-ui: Xine is a free multimedia player. It plays back CDs, DVDs, and VCDs,
+xine-ui: multimedia files, and multimedia streamed over a network.
+xine-ui:
+xine-ui: The xine-ui package contains the graphical user interface for the
+xine-ui: xine multimedia player.
+xine-ui:
+xine-ui:
+xine-ui:
+xine-ui:
diff --git a/source/xap/xine-ui/xine-ui.SlackBuild b/source/xap/xine-ui/xine-ui.SlackBuild
new file mode 100755
index 000000000..1dd61f1f6
--- /dev/null
+++ b/source/xap/xine-ui/xine-ui.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.99.5
+# I would use "-march=i486 -mcpu=i686" here as usual, but with XINE it's all or nothing.
+# I'd rather have it work well for the i686/Athlon crowd than suck for everyone.
+ARCH=${ARCH:-x86_64}
+TARGET=${TARGET:-$ARCH-pc-linux-gnu}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-xine-ui
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+
+cd $TMP
+rm -rf xine-ui-$VERSION
+tar xvf $CWD/xine-ui-$VERSION.tar.bz2 || exit 1
+cd xine-ui-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+XINE_BUILD=$TARGET \
+./configure \
+ --prefix=/usr \
+ --with-aalib \
+ --with-caca \
+ --build=$TARGET
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/share/applications
+zcat $CWD/xine.desktop.gz > $PKG/usr/share/applications/xine.desktop
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man
+ find . -name "*.?" | xargs gzip -9
+)
+
+mkdir -p $PKG/usr/doc/xine-ui-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING NEWS README \
+ doc/README* \
+ $PKG/usr/doc/xine-ui-$VERSION
+cp -a \
+ src/xitk/xine-toolkit/README \
+ $PKG/usr/doc/xine-ui-$VERSION/README.xitk
+# redundant
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/xine-ui-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/xap/xine-ui/xine.desktop b/source/xap/xine-ui/xine.desktop
new file mode 100644
index 000000000..0936a4e99
--- /dev/null
+++ b/source/xap/xine-ui/xine.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Xine
+Name[pl]=Odtwarzacz xine
+GenericName=Media Player
+Comment=Xine Media Player
+Comment[pl]=Odtwarzacz filmów
+Icon=xine.xpm
+Exec=xine
+Terminal=0
+Type=Application
+Categories=Application;AudioVideo;Player;
+MimeType=video/mpeg;video/quicktime;video/x-msvideo;video/x-anim;audio/x-mp3;audio/x-mp2;
+# vi: encoding=utf-8